Package com.collibra.dgc.workflow.api.bean

# Interface WorkflowUtility

public interface WorkflowUtility
A bean to provide general utility functions. The bean will be accessible by using 'utility' in your workflow expressions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getCronExpressionNextRunDate(String unixCronExpression, Date lastRunDate)`
  Retrieves next run date based on a cron expression and the last run date.
  `String`
  `stripHtml(String stringToStrip)`
  Remove all the HTML formatting from the given input string, unescaping it before.
  `String`
  `toCsv(Collection<?> stringList)`
  Creates a csv of the given @{link Collection}.
  `String`
  `toIdCsv(Collection<? extends com.collibra.dgc.core.api.model.Resource> resources)`
  Converts a `Collection` of `Resource`s to a csv resource ids.
  `List<UUID>`
  `toIdList(String csvString)`
  Creates a list of the given csv string.
  `List<UUID>`
  `toIdList(Collection<? extends com.collibra.dgc.core.api.model.Resource> resources)`
  Converts a `Collection` of resources to a list of resource ids.
  `List<String>`
  `toList(String csvString)`
  Creates a list of the given csv string.

- ## Method Details

  - ### toList

    List<String> toList(String csvString)
    Creates a list of the given csv string.
    Parameters:
      `csvString` - The string to convert to a list
    Returns:
      The list of the csv string

  - ### toIdList

    List<UUID> toIdList(String csvString)
    Creates a list of the given csv string.
    Parameters:
      `csvString` - The string to convert to a list
    Returns:
      The UUID list of the csv string

  - ### toIdList

    List<UUID> toIdList(Collection<? extends com.collibra.dgc.core.api.model.Resource> resources)
    Converts a `Collection` of resources to a list of resource ids.
    Parameters:
      `resources` - The resources to convert
    Returns:
      The list of resource ids

  - ### toCsv

    String toCsv(Collection<?> stringList)
    Creates a csv of the given @{link Collection}.
    Parameters:
      `stringList` - The collection to convert to a csv
    Returns:
      The converted csv

  - ### toIdCsv

    String toIdCsv(Collection<? extends com.collibra.dgc.core.api.model.Resource> resources)
    Converts a `Collection` of `Resource`s to a csv resource ids.
    Parameters:
      `resources` - The `Collection` of resources to convert
    Returns:
      A csv of resource ids

  - ### stripHtml

    String stripHtml(String stringToStrip)
    Remove all the HTML formatting from the given input string, unescaping it before. First it will replace possible linebreaks with a space.
    Parameters:
      `stringToStrip` - the string that needs to be stripped of html
    Returns:
      the string stripped from the html.

  - ### getCronExpressionNextRunDate

    Date getCronExpressionNextRunDate(String unixCronExpression, Date lastRunDate)
    Retrieves next run date based on a cron expression and the last run date.
    Parameters:
      `unixCronExpression` - string
      `lastRunDate` - date
    Returns:
      the date of the next run